summaryrefslogtreecommitdiff
path: root/iconvdata/run-iconv-test.sh
diff options
context:
space:
mode:
authorJim Blandy <jimb@codesourcery.com>2012-10-22 17:12:17 +0000
committerJoseph Myers <joseph@codesourcery.com>2012-10-22 17:12:17 +0000
commit6fb54a225415a91050eb004d05bc62d6c3ca2b53 (patch)
tree5ac6cc960e031708a92f7d0308c2c3618943c6b5 /iconvdata/run-iconv-test.sh
parent2b4a59f535079f07d7d63c3bab98e67263092c71 (diff)
Don't pass shell loops' stdin to programs run on glibc's host.
Diffstat (limited to 'iconvdata/run-iconv-test.sh')
-rwxr-xr-xiconvdata/run-iconv-test.sh12
1 files changed, 6 insertions, 6 deletions
diff --git a/iconvdata/run-iconv-test.sh b/iconvdata/run-iconv-test.sh
index 34c400d7e9..cb9f5dffb2 100755
--- a/iconvdata/run-iconv-test.sh
+++ b/iconvdata/run-iconv-test.sh
@@ -61,7 +61,7 @@ while read from to subset targets; do
for t in $targets; do
if test -f testdata/$from; then
echo $ac_n " test data: $from -> $t $ac_c"
- $PROG -f $from -t $t testdata/$from > $temp1 ||
+ $PROG -f $from -t $t testdata/$from < /dev/null > $temp1 ||
{ if test $? -gt 128; then exit 1; fi
echo "FAILED"; failed=1; continue; }
echo $ac_n "OK$ac_c"
@@ -71,7 +71,7 @@ while read from to subset targets; do
echo $ac_n "/OK$ac_c"
fi
echo $ac_n " -> $from $ac_c"
- $PROG -f $t -t $to -o $temp2 $temp1 ||
+ $PROG -f $t -t $to -o $temp2 $temp1 < /dev/null ||
{ if test $? -gt 128; then exit 1; fi
echo "FAILED"; failed=1; continue; }
echo $ac_n "OK$ac_c"
@@ -87,7 +87,7 @@ while read from to subset targets; do
# set. Otherwise we convert to all the TARGETS.
if test $subset = Y; then
echo $ac_n " suntzu: $from -> $t -> $to $ac_c"
- $PROG -f $from -t $t testdata/suntzus |
+ $PROG -f $from -t $t testdata/suntzus < /dev/null |
$PROG -f $t -t $to > $temp1 ||
{ if test $? -gt 128; then exit 1; fi
echo "FAILED"; failed=1; continue; }
@@ -106,7 +106,7 @@ while read from to subset targets; do
! grep '<U....><U....>' ../localedata/charmaps/$from > /dev/null; then
echo $ac_n "test charmap: $from -> $t $ac_c"
$PROG -f ../localedata/charmaps/$from -t ../localedata/charmaps/$tc \
- testdata/$from > $temp1 ||
+ testdata/$from < /dev/null > $temp1 ||
{ if test $? -gt 128; then exit 1; fi
echo "FAILED"; failed=1; continue; }
echo $ac_n "OK$ac_c"
@@ -117,7 +117,7 @@ while read from to subset targets; do
fi
echo $ac_n " -> $from $ac_c"
$PROG -t ../localedata/charmaps/$from -f ../localedata/charmaps/$tc \
- -o $temp2 $temp1 ||
+ -o $temp2 $temp1 < /dev/null ||
{ if test $? -gt 128; then exit 1; fi
echo "FAILED"; failed=1; continue; }
echo $ac_n "OK$ac_c"
@@ -132,7 +132,7 @@ while read from to subset targets; do
if test "$subset" = N; then
echo $ac_n " suntzu: ASCII -> $to -> ASCII $ac_c"
- $PROG -f ASCII -t $to testdata/suntzus |
+ $PROG -f ASCII -t $to testdata/suntzus < /dev/null |
$PROG -f $to -t ASCII > $temp1 ||
{ if test $? -gt 128; then exit 1; fi
echo "FAILED"; failed=1; continue; }